/* $Id: flashDrv.h,v 1.2 1993/09/07 21:48:56 kenc Exp $ */
/* flashDrv.h - header file for flashDrv.c */
/*
 * Copyright 1993, 1994 by Tektronix, Inc. - All Rights Reserved.
 * 
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose is hereby granted without fee, provided that
 * the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the name of Tektronix, Inc. not be used in
 * advertising or publicity pertaining to distribution of the software
 * without specific, written prior permission.
 * 
 * TEKTRONIX INCORPORATED MAKES NO REPRESENTATIONS ABOUT THE
 * SUITABILITY OF THIS SOFTWARE FOR ANY PURPOSE.  IT IS PROVIDED "AS IS"
 * WITHOUT EXPRESS OR IMPLIED WARRANTY.  TEKTRONIX INCORPORATED
 * DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  IN NO
 * EVENT SHALL TEKTRONIX INCORPORATED BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
 * LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE
 * OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THIS SOFTWARE.
 * 
 * Author: Bill Randle, Tektronix, Inc. <billr@saab.cna.tek.com>
 */ 

/* based on ramDrv.h, which is: */
/* Copyright 1984-1992 Wind River Systems, Inc. */

/*
modification history
--------------------
xxx,02aug93,bcr  created from ramDrv.h
01f,22sep92,rrr  added support for c++
01e,18sep92,jcf  added include of blkIo.h.
01d,04jul92,jcf  cleaned up.
01c,26may92,rrr  the tree shuffle
01b,04oct91,rrr  passed through the ansification filter
		  -fixed #else and #endif
		  -changed copyright notice
01a,05oct90,shl created.
*/

#ifndef __INCflashDrvh
#define __INCflashDrvh

#define FILE_QUANTA	1024	/* Two 512 byte sectors make a cluster, cluster is quanta size */

#ifdef __cplusplus
extern "C" {
#endif

#include "blkIo.h"

/* function declarations */

#if defined(__STDC__) || defined(__cplusplus)

extern STATUS 	flashDrv (void);
extern BLK_DEV *flashDevCreate (char flashDevice, int bytesPerSec, int secPerTrack, int nSectors, int secOffset);

#else

extern STATUS 	flashDrv ();
extern BLK_DEV *flashDevCreate ();

#endif	/* __STDC__ */

#ifdef __cplusplus
};
#endif

#endif /* __INCflashDrvh */
