/* $Id */
#ifndef FLASHEXT_H
#define FLASHEXT_H
/*
 * Copyright 1993, 1994 by Tektronix, Inc. - All Rights Reserved.
 * 
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose is hereby granted without fee, provided that
 * the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the name of Tektronix, Inc. not be used in
 * advertising or publicity pertaining to distribution of the software
 * without specific, written prior permission.
 * 
 * TEKTRONIX INCORPORATED MAKES NO REPRESENTATIONS ABOUT THE
 * SUITABILITY OF THIS SOFTWARE FOR ANY PURPOSE.  IT IS PROVIDED "AS IS"
 * WITHOUT EXPRESS OR IMPLIED WARRANTY.  TEKTRONIX INCORPORATED
 * DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  IN NO
 * EVENT SHALL TEKTRONIX INCORPORATED BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
 * LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE
 * OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THIS SOFTWARE.
 * 
 * Author: Bill Randle, Tektronix, Inc. <billr@saab.cna.tek.com>
 */ 
/**************************************************************************
 *	  File: flashext.h
 *
 *	  extern declarations for the flash disk drivers
 *
 *	  Bill Randle
 *	  July 28, 1993
 *
 *************************************************************************/

#ifdef __cplusplus
extern "C" {
#endif

/*
 All of these *Part* routines act on a single flash memory device (called
 a "disk" for lack of a better term). Standard flash memory addressing
 uses a pair of parts (high byte, low byte), so these routines read/write
 from/to every other address to stay within the same physical device.
*/

#if defined(__STDC__) || defined(__cplusplus)

int flashWritePart(char disk, unsigned char* flashAddr, unsigned char* bufAddr, int count);
	/*
	 writes a buffer (up to count bytes) to flash memory
	 returns number of bytes written
	*/

int flashReadPart(char disk, unsigned char* flashAddr, unsigned char* bufAddr, unsigned int count);
	/*
	 reads a buffer (up to count bytes) from flash memory
	 returns number of bytes read
	*/

int flashErasePart(char disk);
	/*
	 erases the selected disk (part)
	 returns OK/ERROR (0/-1)
	*/

/*Boolean*/ char flashPartSize(char disk, unsigned char** start, unsigned int *size);
	/*
	 gets starting address and size of the given disk (part)
	 returns 1 on success, 0 on failure
	*/

#else

extern int flashWritePart();
extern int flashReadPart();
extern int flashErasePart();
extern /*Boolean*/ char flashPartSize();

#endif  /* __STDC__ */

#ifdef __cplusplus
};
#endif

#endif
